# ChangeLog for sci-biology/ncbi-tools
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-biology/ncbi-tools/ChangeLog,v 1.87 2013/02/18 12:53:27 jlec Exp $

  18 Feb 2013; Justin Lecher <jlec@gentoo.org> ncbi-tools-0.20080302.ebuild,
  ncbi-tools-0.20090809.ebuild, ncbi-tools-2.2.26.ebuild,
  -ncbi-tools-20080302.ebuild, -ncbi-tools-20090809.ebuild, metadata.xml:
  Drop old; rename fmerge.1 to fmerg-ncbi.1 -> resolves collision with
  dev-util/fhist, #429560

  24 Oct 2012; Ulrich Müller <ulm@gentoo.org> ncbi-tools-0.20080302.ebuild,
  ncbi-tools-0.20090809.ebuild, ncbi-tools-2.2.26.ebuild,
  ncbi-tools-20080302.ebuild, ncbi-tools-20090809.ebuild:
  Update dependency after package move from x11-libs/openmotif to
  x11-libs/motif.

*ncbi-tools-0.20090809 (13 Jun 2012)
*ncbi-tools-0.20080302 (13 Jun 2012)

  13 Jun 2012; Justin Lecher <jlec@gentoo.org> +ncbi-tools-0.20080302.ebuild,
  +ncbi-tools-0.20090809.ebuild, -ncbi-tools-20100808.ebuild:
  Change Version numbers from x to 0.x in order to be able to follow upstream
  new versioning scheme; Drop old unstable

*ncbi-tools-2.2.26 (22 May 2012)

  22 May 2012; Justin Lecher <jlec@gentoo.org> +ncbi-tools-2.2.26.ebuild:
  Version BUmp, #416251; restructured large parts of the ebuild; move to EAPI=4

  26 Apr 2012; Justin Lecher <jlec@gentoo.org> ncbi-tools-20080302.ebuild,
  -ncbi-tools-20090809-r2.ebuild:
  Dropped old

  15 Nov 2010; Justin Lecher <jlec@gentoo.org> ncbi-tools-20080302.ebuild,
  ncbi-tools-20090809-r2.ebuild, ncbi-tools-20100808.ebuild:
  QA fixes from repoman

  15 Nov 2010; Justin Lecher <jlec@gentoo.org>
  ncbi-tools-20090809-r2.ebuild, ncbi-tools-20100808.ebuild:
  Use system csh instead of shebang

  10 Oct 2010; Ulrich Mueller <ulm@gentoo.org> ncbi-tools-20080302.ebuild,
  ncbi-tools-20090809.ebuild, ncbi-tools-20090809-r2.ebuild,
  ncbi-tools-20100808.ebuild:
  Fix openmotif dependency.

*ncbi-tools-20100808 (30 Sep 2010)

  30 Sep 2010; Andrey Kislyuk <weaver@gentoo.org>
  -ncbi-tools-20090809-r1.ebuild, +ncbi-tools-20100808.ebuild:
  Version bump

  24 Jun 2010; Justin Lecher <jlec@gentoo.org> -ncbi-tools-20060507.ebuild,
  -ncbi-tools-20061015-r1.ebuild, -ncbi-tools-20070826.ebuild,
  -ncbi-tools-20090301.ebuild:
  Cleaned old version

  29 Mar 2010; Pacho Ramos <pacho@gentoo.org> ncbi-tools-20090809.ebuild:
  amd64 stable, bug 298779

*ncbi-tools-20090809-r2 (07 Mar 2010)

  07 Mar 2010; Justin Lecher (jlec) <jlec@gentoo.org>
  +ncbi-tools-20090809-r2.ebuild:
  Moved to EAPI=3 for PREFIX support, keyworded for *-linux, tested by me

*ncbi-tools-20090809-r1 (13 Feb 2010)

  13 Feb 2010; Justin Lecher (jlec) <jlec@gentoo.org>
  +ncbi-tools-20090809-r1.ebuild:
  Build spidey per bug 268042 and respect LDFLAGS

  29 Dec 2009; Christian Faulhammer <fauli@gentoo.org>
  ncbi-tools-20090809.ebuild:
  stable x86, bug 298779

  02 Oct 2009; Andrey Kislyuk <weaver@gentoo.org>
  ncbi-tools-20090809.ebuild:
  Update description

  22 Sep 2009; Markus Meier <maekke@gentoo.org> ncbi-tools-20090301.ebuild:
  x86 stable, bug #283678

  06 Sep 2009; Jeremy Olexa <darkside@gentoo.org>
  ncbi-tools-20090301.ebuild:
  amd64 stable, bug 283678. As requested, compile tested only due to
  complexity

*ncbi-tools-20090809 (04 Sep 2009)

  04 Sep 2009; Andrey Kislyuk <weaver@gentoo.org> metadata.xml,
  +ncbi-tools-20090809.ebuild:
  Version bump, take maintainership

  19 Apr 2009; Brent Baude <ranger@gentoo.org> ncbi-tools-20090301.ebuild:
  Marking ncbi-tools-20090301 ~ppc64 for bug 266569

  18 Apr 2009; Tobias Klausmann <klausman@gentoo.org>
  ncbi-tools-20090301.ebuild:
  Keyworded on alpha, bug #266569

*ncbi-tools-20090301 (17 Apr 2009)

  17 Apr 2009; Andrey Kislyuk <weaver@gentoo.org>
  +ncbi-tools-20090301.ebuild:
  Version bump, minor cleanup

  24 Mar 2009; Olivier Fisette <ribosome@gentoo.org> metadata.xml:
  Giving up maintainership of this package.

  27 Jun 2008; Ulrich Mueller <ulm@gentoo.org> ncbi-tools-20060507.ebuild,
  ncbi-tools-20061015-r1.ebuild, ncbi-tools-20070826.ebuild,
  ncbi-tools-20080302.ebuild:
  Change dependency from virtual/motif to x11-libs/openmotif, bug 224749.

  12 May 2008; Markus Rothe <corsair@gentoo.org> ncbi-tools-20080302.ebuild:
  Stable on ppc64

  12 May 2008; Jeff Gardner <je_fro@gentoo.org> ChangeLog:
  Move pmake to DEPEND fixing bug #221441

  22 Apr 2008; Olivier Fisette <ribosome@gentoo.org>
  -ncbi-tools-20050605.ebuild, ncbi-tools-20080302.ebuild:
  Pruned old version. Added 20080302 to x86 and amd64 (fixes bug #218233).

*ncbi-tools-20080302 (15 Apr 2008)

  15 Apr 2008; Jeff Gardner <je_fro@gentoo.org> +ncbi-tools-20080302.ebuild:
  Latest release from NCBI.

  08 Apr 2008; Donnie Berkholz <dberkholz@gentoo.org>; Manifest:
  Fix manifest, connection dropped mid-commit.

  08 Apr 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  ncbi-tools-20070826.ebuild:
  (#195251) Fix build with --as-needed by always linking against dynamic
  libraries (Till Korten).

  08 Apr 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  ncbi-tools-20070826.ebuild:
  Respect CFLAGS and compiler on 64-bit systems. Apparently I'm the only
  person on amd64 who actually watches it build. =)

  31 Dec 2007; Jeff Gardner <je_fro@gentoo.org> ChangeLog:
  fixing my email address

  19 Oct 2007; Jeff Gardner <je_fro@gentoo.org> ncbi-tools-20070826.ebuild:
  Commenting out any reference to USE=mpi, which is currently broken (bug
  #196466).

  14 Oct 2007; Jeff Gardner <je_fro@gentoo.org> ncbi-tools-20070826.ebuild:
  Commented out a stray reference to mpi that I missed the first time.

  13 Oct 2007; <je_fro@gentoo.org> ncbi-tools-20050605.ebuild,
  +ncbi-tools-20070826.ebuild:
  Added quotes to make repoman happy.

*ncbi-tools-20070826 (13 Oct 2007)

  13 Oct 2007; <je_fro@gentoo.org> +ncbi-tools-20070826.ebuild:
  New version - mpiblast compilation broken at present.

  05 Jun 2007; Raúl Porcel <armin76@gentoo.org> ncbi-tools-20060507.ebuild:
  alpha stable wrt #152292

  10 Mar 2007; Olivier Fisette <ribosome@gentoo.org>
  +files/ncbi-tools-extra_vib.patch:
  Added missing patch. Thanks to Walter Meinl <wuno@lsvw.de> for reporting
  (bug #170202).

*ncbi-tools-20061015-r1 (09 Mar 2007)

  09 Mar 2007; Olivier Fisette <ribosome@gentoo.org>
  -ncbi-tools-20061015.ebuild, +ncbi-tools-20061015-r1.ebuild:
  Install ans2all utility. Added support for compiling/installing arbitrary
  NCBI utilities. Thanks to José María Fernández González
  <jmfernandez@cnio.es> for his work (see bug #169822). Pruned old version.

  03 Nov 2006; Olivier Fisette <ribosome@gentoo.org>
  -ncbi-tools-20050605-r2.ebuild:
  Pruned old version.

*ncbi-tools-20061015 (03 Nov 2006)

  03 Nov 2006; Olivier Fisette <ribosome@gentoo.org>
  +ncbi-tools-20061015.ebuild:
  New upstream version.

  30 Oct 2006; Christian Faulhammer <opfer@gentoo.org>
  ncbi-tools-20060507.ebuild:
  stable x86 as requested in bug #152292

  25 Oct 2006; Lars Weiler <pylon@gentoo.org> ncbi-tools-20060507.ebuild:
  Stable on ppc; bug #152292.

  25 Oct 2006; Fabian Groffen <grobian@gentoo.org>
  ncbi-tools-20050605.ebuild, ncbi-tools-20050605-r2.ebuild:
  Dropped ppc-macos, see you in prefix.

  24 Oct 2006; Fabian Groffen <grobian@gentoo.org>
  ncbi-tools-20060507.ebuild:
  Dropped ppc-macos, we don't have pmake

  24 Oct 2006; Jeff Gardner <je_fro@gentoo.org> ncbi-tools-20060507.ebuild:
  Stable on amd64.

  23 Oct 2006; Markus Rothe <corsair@gentoo.org> ncbi-tools-20060507.ebuild:
  Stable on ppc64; bug #152292

  23 Oct 2006; Jeff Gardner <je_fro@gentoo.org> ncbi-tools-20060507.ebuild:
  Stable on sparc - bug #152292

  27 Jun 2006; Brent Baude <ranger@gentoo.org> ncbi-tools-20060507.ebuild:
  Keywording ncbi-tools-20060507 ~ppc64 for bug #138082

  27 Jun 2006; Olivier Fisette <ribosome@gentoo.org>
  -files/ncbi-tools-20050605-lop.patch, +files/ncbi-tools-lop.patch,
  ncbi-tools-20050605.ebuild, ncbi-tools-20050605-r2.ebuild,
  ncbi-tools-20060507.ebuild:
  Fixed ppc64 lop patch (my mistake).

*ncbi-tools-20060507 (26 Jun 2006)

  26 Jun 2006; Olivier Fisette <ribosome@gentoo.org>
  +files/ncbi-tools-asn2all.patch, +ncbi-tools-20060507.ebuild:
  New upstream version. Switched from GNU make to pmake as GNU make 3.81 is
  confused by some Makefiles (fixes bug #136904, thanks to Greg Wilson for
  reporting). Compile and install asn2all (fixes bug #136206, thanks to José
  María Fernández González for the suggestion). Minor bugfixes and ebuild
  clean-up. ppc64 keyword dropped as pmake is not available for that arch.

  01 Feb 2006; Donnie Berkholz <spyderous@gentoo.org>;
  ncbi-tools-20050605.ebuild, ncbi-tools-20050605-r2.ebuild:
  (#121066) Port to modular X. Add some die messages to -r2 so the die's
  aren't completely unhelpful. Fix the path expansion for html docs so it
  doesn't break the installation -- not sure how it got committed as is:
  {*.html *.gif} is missing a comma.

  21 Jan 2006; Olivier Fisette <ribosome@gentoo.org>
  -ncbi-tools-20050605-r1.ebuild:
  Removed buggy version.

*ncbi-tools-20050605-r2 (14 Dec 2005)

  14 Dec 2005; Olivier Fisette <ribosome@gentoo.org>
  +ncbi-tools-20050605-r2.ebuild:
  Fixed file collisions with "dev-libs/libpcre" (bug #115463).

  16 Nov 2005; Olivier Fisette <ribosome@gentoo.org>
  ncbi-tools-20050605-r1.ebuild:
  Readded ~sparc (closes bug #111807).

  15 Nov 2005; Fernando J. Pereda <ferdy@gentoo.org>
  ncbi-tools-20050605-r1.ebuild:
  re-add ~alpha wrt bug #111807

*ncbi-tools-20050605-r1 (15 Nov 2005)

  15 Nov 2005; Olivier Fisette <ribosome@gentoo.org>
  +ncbi-tools-20050605-r1.ebuild:
  Added MPI support for the BLAST family of programs. Thanks to Brady
  Catherman <bradyc@uidaho.edu> for his work (fixes bug #111807).

  09 Nov 2005; Jason Wever <weeve@gentoo.org> ncbi-tools-20050605.ebuild:
  Stable on SPARC wrt bug #108334.

  22 Oct 2005; Olivier Fisette <ribosome@gentoo.org> -files/21ncbi,
  -ncbi-tools-20041020-r1.ebuild, -ncbi-tools-20050429.ebuild:
  Pruning old versions.

  22 Oct 2005; Fabian Groffen <grobian@gentoo.org>
  ncbi-tools-20050605.ebuild:
  Marked ppc-macos per bug #108334

  18 Oct 2005; Aron Griffis <agriffis@gentoo.org>
  ncbi-tools-20050605.ebuild:
  Mark 20050605 stable on alpha

  12 Oct 2005; Michael Hanselmann <hansmi@gentoo.org>
  ncbi-tools-20050605.ebuild:
  Stable on ppc.

  11 Oct 2005; Luis Medinas <metalgod@gentoo.org>
  ncbi-tools-20050605.ebuild:
  Marked Stable on amd64

  09 Oct 2005; Mark Loeser <halcy0n@gentoo.org> ncbi-tools-20050605.ebuild:
  Stable on x86

  07 Oct 2005; Brent Baude <ranger@gentoo.org> ncbi-tools-20050605.ebuild:
  Marking ncbi-tools-200506 ppc64 stable for bug 108334

  19 Sep 2005; Olivier Fisette <ribosome@gentoo.org> metadata.xml:
  Maintainer changed from Stephen Diener (MIA) to Olivier Fisette.

  16 Sep 2005; Aron Griffis <agriffis@gentoo.org>
  ncbi-tools-20050429.ebuild:
  Mark 20050429 stable on alpha

  19 Aug 2005; Michael Hanselmann <hansmi@gentoo.org>
  ncbi-tools-20050429.ebuild:
  Removed from ppc (xlc not available).

  09 Aug 2005; Brent Baude <ranger@gentoo.org>
  +files/ncbi-tools-20050605-lop.patch,
  -files/ncbi-tools-20050605-lop.patch.gz, ncbi-tools-20050605.ebuild:
  For the ebuild ncbi-tools-20050605, I was asked to remove the gz patch and
  submit it as plain text. This commit will remove the gz patch and replace it
  with a plain text one. The patch name change is also reflected in the
  ebuild.

  08 Aug 2005; Brent Baude <ranger@gentoo.org>
  +files/ncbi-tools-20050605-lop.patch.gz, ncbi-tools-20050605.ebuild:
  Added patch for 20050506 which when ppc64, will patch the makefile to use
  gcc instead of the default xlc (IBM compiler) which doesnt exist on gentoo.

  08 Aug 2005; Brent Baude <ranger@gentoo.org> ncbi-tools-20050429.ebuild:
  ncbi-tools-20050429.ebuild does not compile on ppc64; will fix later ebuild

*ncbi-tools-20050605 (06 Aug 2005)

  06 Aug 2005; Olivier Fisette <ribosome@gentoo.org>
  -ncbi-tools-20040616.ebuild, ncbi-tools-20050429.ebuild,
  +ncbi-tools-20050605.ebuild:
  New version. Added 20050429 to x86. Removed old version.

  09 Jun 2005; Markus Rothe <corsair@gentoo.org>
  ncbi-tools-20041020-r1.ebuild:
  Stable on ppc64

  02 Jun 2005; Olivier Fisette <ribosome@gentoo.org> ChangeLog:
  Use "virtual/motif" instead of "x11-libs/openmotif".

  16 May 2005; Olivier Fisette <ribosome@gentoo.org>
  ncbi-tools-20050429.ebuild:
  Fixed CFLAGS not being applied properly (bug #92564).

*ncbi-tools-20050429 (13 May 2005)

  13 May 2005; Olivier Fisette <ribosome@gentoo.org>
  +ncbi-tools-20050429.ebuild:
  New version.

  29 Apr 2005; Markus Rothe <corsair@gentoo.org>
  ncbi-tools-20041020-r1.ebuild:
  Added ~ppc64 to KEYWORDS

  24 Apr 2005; Michael Hanselmann <hansmi@gentoo.org>
  ncbi-tools-20041020-r1.ebuild:
  Stable on ppc.

*ncbi-tools-20041020-r1 (06 Mar 2005)

  06 Mar 2005; Olivier Fisette <ribosome@gentoo.org> +files/21ncbi-r1,
  +ncbi-tools-20041020-r1.ebuild, -ncbi-tools-20041020.ebuild:
  Added the "BLASTMAT" environment variable to the env.d file.

  02 Mar 2005; Lina Pezzella <j4rg0n@gentoo.org> ncbi-tools-20041020.ebuild:
  Stable ppc-macos

  01 Mar 2005; Olivier Fisette <ribosome@gentoo.org>
  ncbi-tools-20041020.ebuild:
  Added to x86.

  02 Feb 2005; Lina Pezzella <j4rg0n@gentoo.org> ncbi-tools-20040616.ebuild:
  Stable ppc-macos

  30 Jan 2005; Olivier Fisette <ribosome@gentoo.org>
  ncbi-tools-20041020.ebuild:
  Ebuild cleanup.

*ncbi-tools-20041020 (18 Jan 2005)

  18 Jan 2005; Olivier Fisette <ribosome@gentoo.org>
  +ncbi-tools-20041020.ebuild:
  New version.

  02 Jan 2005; Olivier Fisette <ribosome@gentoo.org> :
  Added to x86. Use toolchain-funcs rather than gcc eclass.

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*ncbi-tools-20040616 (23 Dec 2004)

  23 Dec 2004; Olivier Fisette <ribosome@gentoo.org> +metadata.xml,
  +files/21ncbi, +files/ncbirc, +ncbi-tools-20040616.ebuild:
  Moved from app-sci/ncbi-tools to sci-biology/ncbi-tools.

  30 Nov 2004; <j4rg0n@gentoo.org> ncbi-tools-20040616.ebuild:
  Keyworded ~ppc-macos.

  22 Nov 2004; Karol Wojtaszek <sekretarz@gentoo.org>
  ncbi-tools-20040616.ebuild:
  Added to ~amd64

  14 Oct 2004; Olivier Fisette <ribosome@gentoo.org>
  ncbi-tools-20040616.ebuild:
  Use gcc-getCC from gcc.eclass rather than ${CC}.

  04 Oct 2004; Olivier Fisette <ribosome@gentoo.org>
  ncbi-tools-20040616.ebuild:
  Fixed potential bug in "SRC_URI".

*ncbi-tools-20040616 (03 Oct 2004)

  03 Oct 2004; Olivier Fisette <ribosome@gentoo.org> files/21ncbi,
  -files/dot-ncbirc, +files/ncbirc, -ncbi-tools-20031103.ebuild,
  -ncbi-tools-20040202-r1.ebuild, +ncbi-tools-20040616.ebuild:
  Updated version and new ebuild. This fixes bug #65941.

  02 Jun 2004; Aron Griffis <agriffis@gentoo.org> ncbi-tools-20031103.ebuild,
  ncbi-tools-20040202-r1.ebuild:
  Fix use invocation

  05 May 2004; Bryan Østergaard <kloeri@gentoo.org>
  ncbi-tools-20040202-r1.ebuild:
  Stable on alpha.

  19 Apr 2004; Patrick Kursawe <phosphan@gentoo.org>
  ncbi-tools-04222003-r2.ebuild, ncbi-tools-20030422.ebuild,
  ncbi-tools-20031103.ebuild, ncbi-tools-20040202-r1.ebuild,
  ncbi-tools-20040202.ebuild:
  Cleanup, removing S=... with no effect

  30 Mar 2004; Donnie Berkholz <spyderous@gentoo.org>;
  ncbi-tools-04222003-r2.ebuild, ncbi-tools-20030422.ebuild,
  ncbi-tools-20031103.ebuild, ncbi-tools-20040202-r1.ebuild,
  ncbi-tools-20040202.ebuild:
  Change x11-base/xfree dependency to virtual/x11.

  21 Mar 2004; Martin Holzer <mholzer@gentoo.org>
  ncbi-tools-04222003-r2.ebuild, ncbi-tools-20030422.ebuild,
  ncbi-tools-20031103.ebuild, ncbi-tools-20040202-r1.ebuild,
  ncbi-tools-20040202.ebuild:
  adding categorie. see 45110 for details

*ncbi-tools-20040202-r1 (06 Feb 2004)

  06 Feb 2004; Stephen Diener <sediener@gentoo.org>
  ncbi-tools-20040202-r1.ebuild:
  Replaced buggy tarball with new one.  Bumped revision to propogate.

*ncbi-tools-20040202 (05 Feb 2004)

  05 Feb 2004; Stephen Diener <sediener@gentoo.org>
  ncbi-tools-04222003-r1.ebuild, ncbi-tools-04222003.ebuild,
  ncbi-tools-20030422.ebuild, ncbi-tools-20031103.ebuild,
  ncbi-tools-20040202.ebuild:
  Bumped 20031103 to x86, removed old ebuilds, added new release 20040202

*ncbi-tools-20040202 (04 Feb 2004)

  04 Feb 2004; Stephen Diener <sediener@gentoo.org>
  ncbi-tools-20031103.ebuild, ncbi-tools-20040202.ebuild:
  Version bump.  Changes -O3 -> -O2 so X11 apps will work.

  11 Jan 2004; Heinrich Wendel <lanius@gentoo.org>
  ncbi-tools-04222003-r1.ebuild, ncbi-tools-04222003-r2.ebuild,
  ncbi-tools-20030422.ebuild, ncbi-tools-20031103.ebuild:
  fixed motif dep

*ncbi-tools-20031103 (13 Dec 2003)

  13 Dec 2003; Stephen Diener <sediener@gentoo.org>
  ncbi-tools-20031103.ebuild:
  Added november release of ncbi-tools (blast-2.2.6 included);
  Added support for -X

*ncbi-tools-20030422 (11 Nov 2003)

  11 Nov 2003; <sediener@gentoo.org> ncbi-tools-20030422.ebuild:
  added bl2seq to list of installed binaries; changed date format from 04222003
  to 20030422; renamed files to have date appended to not collide and changed
  SRC_URI to mirror://gentoo/

*ncbi-tools-04222003-r2 (08 Oct 2003)

  08 Oct 2003; Robin H. Johnson <robbat2@gentoo.org>
  ncbi-tools-04222003-r2.ebuild:
  modified patch from #30656, corrected two pathes in the postinst message

*ncbi-tools-04222003-r1 (05 May 2003)

  05 May 2003; Jon Portnoy <avenj@gentoo.org> ncbi-tools-04222003-r1.ebuild :
  A few enhancements from Gontran Zepeda <gontran@gontran.net>.

*ncbi-tools-04222003 (03 May 2003)

  03 May 2003; Jon Portnoy <avenj@gentoo.org> ncbi-tools-04222003 :
  Initial important. Ebuild submitted by Steve Diener 
  <sediener@unity.ncsu.edu>.
